Skip to main content

Generate Document

The generate-document endpoint offers a dynamic way to create documents by mapping provided data onto a template, resulting in a customized, pre-filled PDF document

POST
/account-api/v1/generate-document

Available Document Types for Generation​

The below documents are available for generation through this endpoint:

Document TypeReferenceDescription
New Accounts DocumentsCASHStoneX Customer Account Agreement
New Accounts DocumentsADOP-simpleIRA Simplifier - Simple
New Accounts DocumentsADOP-TraditionalIRA Simplifier - Traditional
New Accounts DocumentsADOP-RothIRA Simplifier - Roth
New Accounts DocumentsW9IRS Form W9
New Accounts DocumentsW8BEIRS Form W-8 BEN
New Accounts DocumentsOPTSOption Agreement form
New Accounts DocumentsTODTransfer Of Death Agreement
New Accounts DocumentsNEWANew Account Application
New Accounts DocumentsFASFForeign Account Section 312 form
New Accounts DocumentsMRGNMargin agreement document

Request​

AttributeTypeRequiredDescription
accountNumberstring✔️Account number to pull information from to populate the document
documentTypeNamestring✔️Document Type Name of document to generate
Referencestring✔️Document Type Reference of document to generate
Profilesstring✔️Document Type Reference used for W8BE associated parties

Response​

The response will be a PDF file. Depending on your implementation, you might need to:

  • Directly display the PDF in a user interface.
  • Prompt the user to download the file.
  • Automatically save the file to a predefined location.

Response Headers​

KeyValue
Content-Typeapplication/pdf